#include <iostream>
#include <stdlib.h>
using namespace std;
int main(){

long long int x1, x2, y1, y2, a, b;
cin>>x1>>y1;
cin>>x2>>y2;
long long int d, r;
if(x1==x2 || y1==y2)
{
  r=2;
}
else{

  a=abs(x1-x2);
  b=abs(y1-y2);
  if(a==b)
  {
    r=1;
   }
  else
  {
    r=0;
  }
}
cout<<r;
}